/* -------------------------------------------------------
                         board_gpio.h


     Aliasnamen fuer STM8S103 auf R3-Board montiert
   ------------------------------------------------------- */

#ifndef in_boardgpio
  #define in_boardgpio

  #include "stm8_gpio.h"

  // als Ausgaenge

  #define d2_output_init()     PC4_output_init()
  #define d3_output_init()     PC3_output_init()
  #define d4_output_init()     PD1_output_init()
  #define d5_output_init()     PD2_output_init()
  #define d6_output_init()     PD3_output_init()
  #define d7_output_init()     PD4_output_init()

  #define d10_output_init()    PA3_output_init()
  #define d11_output_init()    PC6_output_init()
  #define d12_output_init()    PC7_output_init()
  #define d13_output_init()    PC5_output_init()

  #define a2_output_init()     PA1_output_init()
  #define a3_output_init()     PA2_output_init()
  #define a4_output_init()     PB5_output_init()
  #define a5_output_init()     PB4_output_init()

  #define d2_set()             PC4_set()
  #define d3_set()             PC3_set()
  #define d4_set()             PD1_set()
  #define d5_set()             PD2_set()
  #define d6_set()             PD3_set()
  #define d7_set()             PD4_set()

  #define d10_set()            PA3_set()
  #define d11_set()            PC6_set()
  #define d12_set()            PC7_set()
  #define d13_set()            PC5_set()

  #define a2_set()             PA1_set()
  #define a3_set()             PA2_set()
  #define a4_set()             PB5_set()
  #define a5_set()             PB4_set()

  #define d2_clr()             PC4_clr()
  #define d3_clr()             PC3_clr()
  #define d4_clr()             PD1_clr()
  #define d5_clr()             PD2_clr()
  #define d6_clr()             PD3_clr()
  #define d7_clr()             PD4_clr()

  #define d10_clr()            PA3_clr()
  #define d11_clr()            PC6_clr()
  #define d12_clr()            PC7_clr()
  #define d13_clr()            PC5_clr()

  #define a2_clr()             PA1_clr()
  #define a3_clr()             PA2_clr()
  #define a4_clr()             PB5_clr()
  #define a5_clr()             PB4_clr()


  // als Eingaenge

  #define d2_input_init()      PC4_input_init()
  #define d3_input_init()      PC3_input_init()
  #define d4_input_init()      PD1_input_init()
  #define d5_input_init()      PD2_input_init()
  #define d6_input_init()      PD3_input_init()
  #define d7_input_init()      PD4_input_init()

  #define d10_input_init()     PA3_input_init()
  #define d11_input_init()     PC6_input_init()
  #define d12_input_init()     PC7_input_init()
  #define d13_input_init()     PC5_input_init()

  #define a2_input_init()      PA1_input_init()
  #define a3_input_init()      PA2_input_init()
  #define a4_input_init()      PB5_input_init()
  #define a5_input_init()      PB4_input_init()

  #define is_d2()              is_PC4()
  #define is_d3()              is_PC3()
  #define is_d4()              is_PD1()
  #define is_d5()              is_PD2()
  #define is_d6()              is_PD3()
  #define is_d7()              is_PD4()

  #define is_d10()             is_PA3()
  #define is_d11()             is_PC6()
  #define is_d12()             is_PC7()
  #define is_d13()             is_PC5()

  #define is_a2()              is_PA1()
  #define is_a3()              is_PA2()
  #define is_a4()              is_PB5()
  #define is_a5()              is_PB4()

#endif
